Bug 495767 - Gnome panel gets confused when switching multi-monitor modes
Gnome panel gets confused when switching multi-monitor modes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 13:38 EDT by Mauricio Teixeira
Modified: 2009-12-18 04:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:15:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauricio Teixeira 2009-04-14 13:38:33 EDT
I have a dual-monitor setup with a Lenovo laptop, and an LCD monitor connected to the VGA port.

Every time I boot the machine, the panels show up on the external monitor (because it's screen 0, which "kind of" relates this to bug#495760). Since I use the laptop as my main screen (and the external monitor as secondary for less important work), I have to move the top and bottom panels from the external to the internal monitor. This causes three problems:

Problem #1
Every time I reboot the machine, the panels keep showing up on the external monitor, even though they were on the internal monitor the last time I shut down the machine. So, every time I reboot, I have to move the panels again.

Problem #2
The icons are *never* in the same place I left them in the last session. Every time I reboot, they move to random locations on the panel, which forces me to reorganize them every time.

Problem #3
If I boot the machine without the external monitor connected, then connect it, then use Fn+F7 to activate the external monitor, the panel moves, causing problems #1 and #2 happen again. And if I boot the machine with the external monitor, then disconnect, then Fn+F7 to deactivate the VGA port, the problem #2 happens again.

I already tried saving the Gnome session, but it made no difference. I tried marking all icons and applets as "Lock to Panel", but it made no difference either.
Comment 1 Bug Zapper 2009-11-18 04:12:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:15:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.